#include<bits/stdc++.h>
using namespace std;
long long v,l,a1,b1,k;
string v1,v2;
string a;
int main(){

cin>>a;
cin>>a1>>b1;
v=min(a1,b1);
k=min(a1,b1);
l=max(a1,b1);
if(a1>=b1){
    v1=a[0];
    v2=a[1];
}
else{
    v1=a[1];
    v2=a[0];
}
if(a1==b1){
    while(v--){
        cout<<a;
    }
}
else if(l-v>1){
    cout<<"nemoguce"<<endl;
}

else if(l-v==1){
    while(v--){
        cout<<v1<<v2;
    }
    cout<<v1;
}


return 0;
}